RegionAttributesType.SubscriptionAttributes (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: SubscriptionAttributes

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.SubscriptionAttributes

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType.SubscriptionAttributes

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RegionAttributesType

public static class RegionAttributesType.SubscriptionAttributes extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="interest-policy">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="all"/>
                 <enumeration value="cache-content"/>
               </restriction>
             </simpleType>
           </attribute>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `interestPolicy`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionAttributes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInterestPolicy()`
  Gets the value of the interestPolicy property.
  `void`
  `setInterestPolicy(String value)`
  Sets the value of the interestPolicy property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### interestPolicy

    protected String interestPolicy

- ## Constructor Details

  - ### SubscriptionAttributes

    public SubscriptionAttributes()

- ## Method Details

  - ### getInterestPolicy

    public String getInterestPolicy()
    Gets the value of the interestPolicy property. possible object is `String`
    Returns:
      the value of the interestPolicy property

  - ### setInterestPolicy

    public void setInterestPolicy(String value)
    Sets the value of the interestPolicy property. allowed object is `String`
    Parameters:
      `value` - the value of the interestPolicy property